﻿//-----------------------------------------------------------------------
// <copyright file="FontSettings.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>24/02/2013</date>
//-----------------------------------------------------------------------

namespace ConsoleHoster.Common.Model
{
	public class FontSettings
	{
		public const string defaultFontFamily = "Consolas";

		private string fontFamily = defaultFontFamily;
		private bool useBoldFonts = false;

		public FontSettings(string argFontFamily, bool argIsBold)
		{
			this.fontFamily = argFontFamily ?? defaultFontFamily;
			this.useBoldFonts = argIsBold;
		}

		public string FontFamily
		{
			get
			{
				return this.fontFamily;
			}
			private set
			{
				this.fontFamily = value;
			}
		}

		public bool UseBoldFonts
		{
			get
			{
				return this.useBoldFonts;
			}
			private set
			{
				this.useBoldFonts = value;
			}
		}
	}
}
