﻿//-----------------------------------------------------------------------
// <copyright file="CommandsBuilder.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>03/05/2013</date>
//-----------------------------------------------------------------------

using System;

namespace ConsoleHoster.Model
{
	public static class CommandsBuilder
	{
		public const string ChangeDirectoryCommand = "cd /d ";

		public static string GetRedirectCommand(string argRedirectTo)
		{
			if (argRedirectTo == null)
			{
				throw new ArgumentNullException("argRedirectTo");
			}

			return ChangeDirectoryCommand + "\"" + argRedirectTo + "\"";
		}
	}
}
