﻿//-----------------------------------------------------------------------
// <copyright file="Pair.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>02/06/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Common.ViewModel;

namespace ConsoleHoster.Model
{
	public class Pair<T, V> : PropertyChangeNotifierBase
	{
		private T item1;
		private V item2;

		public Pair(T argItem1, V argItem2)
		{
			this.Item1 = argItem1;
			this.Item2 = argItem2;
		}

		public T Item1
		{
			get
			{
				return this.item1;
			}
			set
			{
				this.SetPropertyValue("Item1", ref this.item1, value);
			}
		}

		public V Item2
		{
			get
			{
				return this.item2;
			}
			set
			{
				this.SetPropertyValue("Item2", ref this.item2, value);
			}
		}
	}
}
