﻿//-----------------------------------------------------------------------
// <copyright file="PerformanceCounterInfo.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>28/03/2013</date>
//-----------------------------------------------------------------------
using System;

namespace ConsoleHoster.Model
{
	public class PerformanceCounterInfo
	{
		private readonly string category;
		private readonly string name;

		public PerformanceCounterInfo(string argCategory, string argName)
		{
			if (String.IsNullOrWhiteSpace(argCategory))
			{
				throw new ArgumentException("Invalid performance counter category", "argCategory");
			}

			if (String.IsNullOrWhiteSpace(argName))
			{
				throw new ArgumentException("Invalid performance counter name", "argName");
			}
			
			this.category = argCategory;
			this.name = argName;
		}

		public string Category
		{
			get
			{
				return this.category;
			}
		}

		public string Name
		{
			get
			{
				return this.name;
			}
		}
	}
}