﻿//-----------------------------------------------------------------------
// <copyright file="IPluginManager.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>10/05/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Common.Plugins;
using ConsoleHoster.Model.Entities;
using System.Collections.Generic;

namespace ConsoleHoster.Model.Plugins
{
	public interface IPluginManager
	{
		IEnumerable<PluginDetails> AvailablePlugins { get; }

		void Initalize();

		IPlugin LoadPlugin(string argPluginName);

		void UnloadPlugin(string argPluginName);

		void UnloadPlugins();
	}
}
