﻿//-----------------------------------------------------------------------
// <copyright file="IExplorerItemIconProvider.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>12/02/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Model.Entities;
using System.Windows.Media;

namespace ConsoleHoster.Utilities
{
	/// <summary>
	/// Represents an API for querying icons from OS filesystem items
	/// </summary>
	public interface IExplorerItemIconProvider
	{
		/// <summary>
		/// Retrieves an ImageSource instance representing the icon for the given ExplorerItem instance
		/// </summary>
		/// <param name="argItem"></param>
		/// <returns></returns>
		ImageSource GetIcon(ExplorerItem argItem);
	}
}
