﻿//-----------------------------------------------------------------------
// <copyright file="ProgressOverlay.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>08/08/2012</date>
//-----------------------------------------------------------------------
using System;
using System.Windows;
using System.Windows.Controls;

namespace ConsoleHoster.View.Controls
{
	/// <summary>
	/// Interaction logic for ProgressOverlay.xaml
	/// </summary>
	public partial class ProgressOverlay : UserControl
	{
		public static readonly DependencyProperty StatusProperty = DependencyProperty.Register("Status", typeof(string), typeof(ProgressOverlay));

		public ProgressOverlay()
		{
			InitializeComponent();
		}

		public string Status
		{
			get
			{
				return this.GetValue(StatusProperty) as String;
			}
			set
			{
				this.SetValue(StatusProperty, value);
			}
		}
	}
}
