﻿//-----------------------------------------------------------------------
// <copyright file="FontsView.xaml.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>15/07/2012</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Common.Model;
using ConsoleHoster.Common.Utilities;
using ConsoleHoster.Common.Utilities.Threading;
using ConsoleHoster.ViewModel;
using System.Windows;

namespace ConsoleHoster.View.Popups
{
	/// <summary>
	/// Interaction logic for FontsView.xaml
	/// </summary>
	public partial class FontsView : Window
	{
		public FontsView()
		{
			InitializeComponent();
		}

		public FontsView(IDispatcher argDispatcher, FontSettings argFontSettingsProvider, ILogger logger)
			: this()
		{
			this.DataContext = new FontsViewModel(argDispatcher, argFontSettingsProvider, logger);
		}

		private void Window_Loaded(object sender, RoutedEventArgs e)
		{
			this.ViewModel.Initialize();
		}

		private void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

		private void btnSave_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = true;
		}

		internal FontsViewModel ViewModel
		{
			get
			{
				return this.DataContext as FontsViewModel;
			}
		}
	}
}