﻿//-----------------------------------------------------------------------
// <copyright file="GlobalCommandsViewModel.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>01/09/2012</date>
//-----------------------------------------------------------------------
using ConsoleHoster.Common.Utilities;
using ConsoleHoster.Common.Utilities.Threading;
using ConsoleHoster.Common.ViewModel;
using ConsoleHoster.Model.Entities;
using ConsoleHoster.ViewModel.ControlVM;
using System.Collections.Generic;

namespace ConsoleHoster.ViewModel
{
	public class GlobalCommandsViewModel : ViewModelBase
	{
		private readonly CommandListDetailsViewModel commandListDetailsVM;

		public GlobalCommandsViewModel(IDispatcher argDispatcher, IEnumerable<CommandData> argCommands, ILogger argLogger)
			: base(argDispatcher, new ComponentLogger("GlobalCommandsViewModel", argLogger))
		{
			this.commandListDetailsVM = new CommandListDetailsViewModel(argCommands, this.Dispatcher, argLogger);
		}

		public CommandListDetailsViewModel CommandListDetailsVM
		{
			get
			{
				return this.commandListDetailsVM;
			}
		}
	}
}
