﻿//-----------------------------------------------------------------------
// <copyright file="OutputMessage.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>21/05/2013</date>
//-----------------------------------------------------------------------
using ConsoleHoster.Common.ViewModel;
using System.Windows.Media;

namespace ConsoleHoster.ViewModel
{
	public class OutputMessage : PropertyChangeNotifierBase
	{
		private string message;
		private Color color;

		public OutputMessage(string argMessage, Color argColor)
		{
			this.message = argMessage;
			this.color = argColor;
		}

		public Color Color
		{
			get
			{
				return this.color;
			}
			set
			{
				this.SetPropertyValue("Color", ref this.color, value);
			}
		}

		public Brush ColorBrush
		{
			get
			{
				return new SolidColorBrush(this.Color);
			}
		}

		public string Message
		{
			get
			{
				return this.message;
			}
			set
			{
				this.SetPropertyValue("Message", ref this.message, value);
			}
		}
	}
}
